Subject: Re: bug#51793: FAIL: tests/misc/env-signal-handler

From: Andreas Schwab <[email-masked]>
Date: Sat, 13 Nov 2021 10:30:59 +0100

On Nov 12 2021, Pádraig Brady wrote:

> On 12/11/2021 19:25, Andreas Schwab wrote:
>> --- exp-err6   2021-11-11 22:58:04.360716802 +0000
>> +++ err6       2021-11-11 22:58:04.752716821 +0000
>> @@ -1,2 +1 @@
>>   timeout: sending signal INT to command 'env'
>> -timeout: sending signal KILL to command 'env'
>
> The above is for the previous command not the following.
>
>> ./tests/misc/env-signal-handler.sh: line 127: 26396 Killed                  env timeout --verbose --kill-after=.1 --signal=INT .1 env --ignore-signal sleep 10 > /dev/null 2> err7t
>> FAIL tests/misc/env-signal-handler.sh (exit status: 1)
>
> Could you paste a bit more context from the previous command.

This is the complete output.

> I presume this is a race that you're seeing rarely.

Yes.

> I've never seen this, and I can't see the race.

Try adding load to the system.

> What file system, kernel, shell are you using.

https://build.opensuse.org/package/live_build_log/home:Andreas_Schwab:Factory/coreutils/r/riscv64

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."